org.codehaus.groovy.tools.groovydoc

## Class GroovyDocTool

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyDocTool

    public class GroovyDocTool
    extends Object

Author:
  Jeremy Rayner

### Constructor Summary

Constructors
Constructor and Description
`GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)`
`GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, Properties properties)`
`GroovyDocTool(String[] sourcepaths)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)

### Method Summary

Methods
`void` `add(List<String> filenames)`
`GroovyRootDoc` `getRootDoc()`
`void` `renderToOutput(OutputTool output, String destdir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroovyDocTool

    public GroovyDocTool(String[] sourcepaths)

Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)

Parameters:
  `sourcepaths` - where the sources to be added can be found

#### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager,
                 String[] sourcepaths,
                 String classTemplate)

#### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager,
                 String[] sourcepaths,
                 String[] docTemplates,
                 String[] packageTemplates,
                 String[] classTemplates,
                 List<LinkArgument> links,
                 Properties properties)

### Method Detail

#### add

    public void add(List<String> filenames)
             throws RecognitionException,
                    TokenStreamException,
                    IOException

Throws:
  `RecognitionException`
  `TokenStreamException`
  `IOException`

#### getRootDoc

    public GroovyRootDoc getRootDoc()

#### renderToOutput

    public void renderToOutput(OutputTool output,
                      String destdir)
                        throws Exception

Throws:
  `Exception`